#include <iostream>
#include <vector>
#include <tuple>
#include <algorithm>

using namespace std;

int main()
{
    int n;
    cin >> n;
    vector<pair<double, int>> a(n);
    for (int i = 0;i < n;i++) {
        cin >> a[i].second >> a[i].first;
        a[i].first *= 0.01;
    }
    sort(a.begin(), a.end());
    double x, m;
    m = 0;
    for (int i = 0;i < n;i++) {
        x = 0;
        for (int j = i;j < n;j++) {
            x += a[j].second;
        }
        x *= a[i].first;
        if (x > m)m = x;
    }
    printf("%.4f", m);
}